# BasicDataStructures::QueueLinkedList< QueueType > Class Template Reference

`#include <QueueLinkedList.h>`

List of all members.

## Public Member Functions

| QueueLinkedList ()
| QueueLinkedList (const QueueLinkedList &original_copy)
bool | operator= (const QueueLinkedList &original_copy)
QueueType | pop (void)
QueueType & | peek (void)
QueueType & | end_peek (void)
void | push (const QueueType &input)
const unsigned long | size (void)
void | clear (void)
void | compress (void)

## Private Attributes

LinkedList< QueueType > | data

### template<class QueueType>
class BasicDataStructures::QueueLinkedList< QueueType >

## Constructor & Destructor Documentation

template<class QueueType>
BasicDataStructures::QueueLinkedList< QueueType >::QueueLinkedList | ( |  | ) |

template<class QueueType>
BasicDataStructures::QueueLinkedList< QueueType >::QueueLinkedList | ( | const QueueLinkedList< QueueType > & | original_copy | ) |

## Member Function Documentation

template<class QueueType>
void BasicDataStructures::QueueLinkedList< QueueType >::clear | ( | void |  | ) |

template<class QueueType>
void BasicDataStructures::QueueLinkedList< QueueType >::compress | ( | void |  | ) |

template<class QueueType>
QueueType & BasicDataStructures::QueueLinkedList< QueueType >::end_peek | ( | void |  | ) | `[inline]`

template<class QueueType>
bool BasicDataStructures::QueueLinkedList< QueueType >::operator= | ( | const QueueLinkedList< QueueType > & | original_copy | ) |

template<class QueueType>
QueueType & BasicDataStructures::QueueLinkedList< QueueType >::peek | ( | void |  | ) | `[inline]`

template<class QueueType>
QueueType BasicDataStructures::QueueLinkedList< QueueType >::pop | ( | void |  | ) | `[inline]`

template<class QueueType>
void BasicDataStructures::QueueLinkedList< QueueType >::push | ( | const QueueType & | input | ) |

template<class QueueType>
const unsigned long BasicDataStructures::QueueLinkedList< QueueType >::size | ( | void |  | ) | `[inline]`

## Member Data Documentation

template<class QueueType>
LinkedList<QueueType> BasicDataStructures::QueueLinkedList< QueueType >::data `[private]`

The documentation for this class was generated from the following file:

- Projects/raknet/include/raknet/QueueLinkedList.h